summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-01-16 07:10:51 +0100
committerMichał Górny <mgorny@gentoo.org>2020-01-16 07:37:44 +0100
commit280f0df81189bff7aa9b50d1cd6ee219506e5723 (patch)
tree112b1435f37f3a3d2e65e6d0cebca747edbbdb24
parentmedia-gfx/openvdb: Remove Python 2 (diff)
downloadgentoo-280f0df81189bff7aa9b50d1cd6ee219506e5723.tar.gz
gentoo-280f0df81189bff7aa9b50d1cd6ee219506e5723.tar.bz2
gentoo-280f0df81189bff7aa9b50d1cd6ee219506e5723.zip
media-gfx/printrun: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--media-gfx/printrun/printrun-20150310-r3.ebuild7
-rw-r--r--media-gfx/printrun/printrun-99999999.ebuild7
2 files changed, 10 insertions, 4 deletions
diff --git a/media-gfx/printrun/printrun-20150310-r3.ebuild b/media-gfx/printrun/printrun-20150310-r3.ebuild
index 9159486852d..0cf2154043a 100644
--- a/media-gfx/printrun/printrun-20150310-r3.ebuild
+++ b/media-gfx/printrun/printrun-20150310-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -20,7 +20,10 @@ IUSE=""
DEPEND="
app-text/psutils
dev-python/dbus-python[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
dev-python/pycairo[${PYTHON_USEDEP}]
dev-python/pyglet[${PYTHON_USEDEP}]
dev-python/pyserial[${PYTHON_USEDEP}]
diff --git a/media-gfx/printrun/printrun-99999999.ebuild b/media-gfx/printrun/printrun-99999999.ebuild
index 6143c13b917..8b8f31fa4ec 100644
--- a/media-gfx/printrun/printrun-99999999.ebuild
+++ b/media-gfx/printrun/printrun-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -20,7 +20,10 @@ IUSE=""
DEPEND="
app-text/psutils
dev-python/dbus-python[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
dev-python/pycairo[${PYTHON_USEDEP}]
dev-python/pyglet[${PYTHON_USEDEP}]
dev-python/pyserial[${PYTHON_USEDEP}]